
/* Chrysalide - Outil d'analyse de fichiers binaires
 * core.h - prototypes pour le chargement et le déchargement des mécanismes internes de l'architecture Dalvik
 *
 * Copyright (C) 2016-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ARCH_DALVIK_CORE_H
#define _ARCH_DALVIK_CORE_H


#include <stdbool.h>



/* Met en place les mécanismes internes de l'architecture. */
bool init_dalvik_core(void);

/* Imprime des statistiques quant aux partages dans l'archi. */
#ifdef DEBUG_DUMP_STATS
void dump_dalvik_share_stats(void);
#endif

/* Supprime les mécanismes internes de l'architecture Dalvik. */
void exit_dalvik_core(void);



#endif  /* _ARCH_DALVIK_CORE_H */
