
/* Chrysalide - Outil d'analyse de fichiers binaires
 * java.h - prototypes pour le décodage des noms d'éléments selon Java
 *
 * Copyright (C) 2010-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _FORMAT_MANGLING_JAVA_H
#define _FORMAT_MANGLING_JAVA_H


#include <stdbool.h>


#include "context.h"
#include "demangler.h"



/* ------------------------- CONTEXTE POUR LE DECODAGE JAVA ------------------------- */


/* Contexte de décodage Java (instance) */
typedef struct _GJavaDContext GJavaDContext;

/* Contexte de décodage Java (classe) */
typedef struct _GJavaDContextClass GJavaDContextClass;


/* Prépare de quoi effectuer un décodage Java. */
GDemanglingContext *g_java_dcontext_new(void);



/* ----------------------- TRAITEMENT DE L'ENCODAGE TYPE JAVA ----------------------- */


/* Procède au décodage d'une chaîne de caractères. */
bool demangle_java_type(GJavaDContext *, const char *);



#endif  /* _FORMAT_MANGLING_JAVA_H */
